<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_02) on Fri Aug 29 08:53:33 CAT 2008 -->
<TITLE>
Class Hierarchy
</TITLE>

<META NAME="date" CONTENT="2008-08-29">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Class Hierarchy";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="jmunit/framework/cldc11/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="jmunit/framework/cldc11/package-tree.html">jmunit.framework.cldc11</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/ConsoleListener.html" title="class in jmunit.framework.cldc11"><B>ConsoleListener</B></A> (implements jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestListener.html" title="interface in jmunit.framework.cldc11">TestListener</A>)
<LI TYPE="circle">javax.microedition.lcdui.Displayable<UL>
<LI TYPE="circle">javax.microedition.lcdui.Canvas<UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/Screen.html" title="class in jmunit.framework.cldc11"><B>Screen</B></A></UL>
<LI TYPE="circle">javax.microedition.lcdui.Screen<UL>
<LI TYPE="circle">javax.microedition.lcdui.List (implements javax.microedition.lcdui.Choice)
<UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/ExceptionList.html" title="class in jmunit.framework.cldc11"><B>ExceptionList</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/GuiListener.html" title="class in jmunit.framework.cldc11"><B>GuiListener</B></A> (implements javax.microedition.lcdui.CommandListener, jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestListener.html" title="interface in jmunit.framework.cldc11">TestListener</A>)
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/JMUnit.html" title="class in jmunit.framework.cldc11"><B>JMUnit</B></A><LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/MemoryMeasurement.html" title="class in jmunit.framework.cldc11"><B>MemoryMeasurement</B></A> (implements jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/PerformanceMeasurement.html" title="interface in jmunit.framework.cldc11">PerformanceMeasurement</A>)
<LI TYPE="circle">javax.microedition.midlet.MIDlet<UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/Assertion.html" title="class in jmunit.framework.cldc11"><B>Assertion</B></A><UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/Test.html" title="class in jmunit.framework.cldc11"><B>Test</B></A><UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestCase.html" title="class in jmunit.framework.cldc11"><B>TestCase</B></A><LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestRunner.html" title="class in jmunit.framework.cldc11"><B>TestRunner</B></A><LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestSuite.html" title="class in jmunit.framework.cldc11"><B>TestSuite</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestResult.html" title="class in jmunit.framework.cldc11"><B>TestResult</B></A><LI TYPE="circle">java.lang.Throwable<UL>
<LI TYPE="circle">java.lang.Exception<UL>
<LI TYPE="circle">java.lang.RuntimeException<UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/AssertionFailedException.html" title="class in jmunit.framework.cldc11"><B>AssertionFailedException</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TimedMeasurement.html" title="class in jmunit.framework.cldc11"><B>TimedMeasurement</B></A> (implements jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/PerformanceMeasurement.html" title="interface in jmunit.framework.cldc11">PerformanceMeasurement</A>)
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/PerformanceMeasurement.html" title="interface in jmunit.framework.cldc11"><B>PerformanceMeasurement</B></A><LI TYPE="circle">jmunit.framework.cldc11.<A HREF="jmunit/framework/cldc11/TestListener.html" title="interface in jmunit.framework.cldc11"><B>TestListener</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="jmunit/framework/cldc11/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
